﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

using System;

namespace BAPI_INVOICE
{
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="urn:sap-com:document:sap:rfc:functions", ConfigurationName="BAPI_INVOICE.ZBGLINV_NPortType")]
    public interface ZBGLINV_NPortType
    {
        
        // CODEGEN: Generating message contract since the operation has multiple return values.
        [System.ServiceModel.OperationContractAttribute(Action="http://www.sap.com/ZBGLINV_N", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        System.Threading.Tasks.Task<BAPI_INVOICE.ZBGLINV_NResponse> ZBGLINV_NAsync(BAPI_INVOICE.ZBGLINV_NRequest request);
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:sap-com:document:sap:rfc:functions")]
    public partial class ZMBLINVDTL_ST
    {
        
        private string vBELNField;
        
        private string pOSNRField;
        
        private string mATNRField;
        
        private string aRKTXField;
        
        private string mATKLField;
        
        private string wERKSField;
        
        private string cHARGField;
        
        private decimal fKIMGField;
        
        private bool fKIMGFieldSpecified;
        
        private string vRKMEField;
        
        private decimal zQBUMField;
        
        private bool zQBUMFieldSpecified;
        
        private decimal zQRUMField;
        
        private bool zQRUMFieldSpecified;
        
        private string mEGRUField;
        
        private string mEINSField;
        
        private decimal zMRPField;
        
        private bool zMRPFieldSpecified;
        
        private decimal zUDISField;
        
        private bool zUDISFieldSpecified;
        
        private string kMEINField;
        
        private decimal zDISField;
        
        private bool zDISFieldSpecified;
        
        private decimal zFRTField;
        
        private bool zFRTFieldSpecified;
        
        private decimal zOCTField;
        
        private bool zOCTFieldSpecified;
        
        private decimal zRTMGField;
        
        private bool zRTMGFieldSpecified;
        
        private decimal zRTMG_VALField;
        
        private bool zRTMG_VALFieldSpecified;
        
        private decimal nETWRField;
        
        private bool nETWRFieldSpecified;
        
        private decimal mWSBPField;
        
        private bool mWSBPFieldSpecified;
        
        private decimal zVALField;
        
        private bool zVALFieldSpecified;
        
        private string zMATNRField;
        
        private string zFFLAGField;
        
        private string zASMSNField;
        
        private decimal zFKIMGField;
        
        private bool zFKIMGFieldSpecified;
        
        private string zVRKMEField;
        
        private decimal zNETPField;
        
        private bool zNETPFieldSpecified;
        
        private decimal zDTMGField;
        
        private bool zDTMGFieldSpecified;
        
        private decimal zSTMGField;
        
        private bool zSTMGFieldSpecified;
        
        private decimal zSTAXField;
        
        private bool zSTAXFieldSpecified;
        
        private decimal zP_ZLD1Field;
        
        private bool zP_ZLD1FieldSpecified;
        
        private decimal zV_ZLD1Field;
        
        private bool zV_ZLD1FieldSpecified;
        
        private decimal zP_ZLD2Field;
        
        private bool zP_ZLD2FieldSpecified;
        
        private decimal zV_ZLD2Field;
        
        private bool zV_ZLD2FieldSpecified;
        
        private decimal sLIFEField;
        
        private bool sLIFEFieldSpecified;
        
        private decimal zP_JIN2Field;
        
        private bool zP_JIN2FieldSpecified;
        
        private decimal zV_JIN2Field;
        
        private bool zV_JIN2FieldSpecified;
        
        private decimal zP_ZSTYField;
        
        private bool zP_ZSTYFieldSpecified;
        
        private decimal zV_ZSTYField;
        
        private bool zV_ZSTYFieldSpecified;
        
        private decimal zP_ZTOTField;
        
        private bool zP_ZTOTFieldSpecified;
        
        private decimal zV_ZTOTField;
        
        private bool zV_ZTOTFieldSpecified;
        
        private string zP2ASMSNField;
        
        private decimal zDIS_PD2Field;
        
        private bool zDIS_PD2FieldSpecified;
        
        private decimal zUDIS_PD2Field;
        
        private bool zUDIS_PD2FieldSpecified;
        
        private decimal zV_ZFRTField;
        
        private bool zV_ZFRTFieldSpecified;
        
        private string zP3ASMSNField;
        
        private string zP4ASMSNField;
        
        private decimal zDIS_PD3Field;
        
        private bool zDIS_PD3FieldSpecified;
        
        private decimal zDIS_PD4Field;
        
        private bool zDIS_PD4FieldSpecified;
        
        private decimal zUDIS_PD3Field;
        
        private bool zUDIS_PD3FieldSpecified;
        
        private decimal zUDIS_PD4Field;
        
        private bool zUDIS_PD4FieldSpecified;
        
        private string kMEIN_PD2Field;
        
        private string kMEIN_PD3Field;
        
        private string kMEIN_PD4Field;
        
        private decimal zP_JIN1Field;
        
        private bool zP_JIN1FieldSpecified;
        
        private decimal zV_JIN1Field;
        
        private bool zV_JIN1FieldSpecified;
        
        private decimal zP_YBPDField;
        
        private bool zP_YBPDFieldSpecified;
        
        private decimal zV_YBPDField;
        
        private bool zV_YBPDFieldSpecified;
        
        private string zVRKME1Field;
        
        private decimal dZJIN5Field;
        
        private bool dZJIN5FieldSpecified;
        
        private decimal dZ024Field;
        
        private bool dZ024FieldSpecified;
        
        private decimal dZJIN1Field;
        
        private bool dZJIN1FieldSpecified;
        
        private decimal dZR100Field;
        
        private bool dZR100FieldSpecified;
        
        private decimal dZUTXJField;
        
        private bool dZUTXJFieldSpecified;
        
        private decimal zVPRSField;
        
        private bool zVPRSFieldSpecified;
        
        private decimal dZ008Field;
        
        private bool dZ008FieldSpecified;
        
        private decimal dZ16AField;
        
        private bool dZ16AFieldSpecified;
        
        private decimal dZCD1Field;
        
        private bool dZCD1FieldSpecified;
        
        private decimal dZCD2Field;
        
        private bool dZCD2FieldSpecified;
        
        private decimal dZCDSField;
        
        private bool dZCDSFieldSpecified;
        
        private decimal dZCNTField;
        
        private bool dZCNTFieldSpecified;
        
        private decimal dZTOBField;
        
        private bool dZTOBFieldSpecified;
        
        private decimal dZPAIField;
        
        private bool dZPAIFieldSpecified;
        
        private decimal zV_YMSTField;
        
        private bool zV_YMSTFieldSpecified;
        
        private decimal zP_YMSTField;
        
        private bool zP_YMSTFieldSpecified;
        
        private decimal zP_YBPEField;
        
        private bool zP_YBPEFieldSpecified;
        
        private decimal zV_YBPEField;
        
        private bool zV_YBPEFieldSpecified;
        
        private string uEPOSField;
        
        private string pSTYVField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string VBELN
        {
            get
            {
                return this.vBELNField;
            }
            set
            {
                this.vBELNField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string POSNR
        {
            get
            {
                return this.pOSNRField;
            }
            set
            {
                this.pOSNRField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public string MATNR
        {
            get
            {
                return this.mATNRField;
            }
            set
            {
                this.mATNRField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=3)]
        public string ARKTX
        {
            get
            {
                return this.aRKTXField;
            }
            set
            {
                this.aRKTXField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=4)]
        public string MATKL
        {
            get
            {
                return this.mATKLField;
            }
            set
            {
                this.mATKLField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=5)]
        public string WERKS
        {
            get
            {
                return this.wERKSField;
            }
            set
            {
                this.wERKSField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=6)]
        public string CHARG
        {
            get
            {
                return this.cHARGField;
            }
            set
            {
                this.cHARGField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=7)]
        public decimal FKIMG
        {
            get
            {
                return this.fKIMGField;
            }
            set
            {
                this.fKIMGField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool FKIMGSpecified
        {
            get
            {
                return this.fKIMGFieldSpecified;
            }
            set
            {
                this.fKIMGFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=8)]
        public string VRKME
        {
            get
            {
                return this.vRKMEField;
            }
            set
            {
                this.vRKMEField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=9)]
        public decimal ZQBUM
        {
            get
            {
                return this.zQBUMField;
            }
            set
            {
                this.zQBUMField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZQBUMSpecified
        {
            get
            {
                return this.zQBUMFieldSpecified;
            }
            set
            {
                this.zQBUMFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=10)]
        public decimal ZQRUM
        {
            get
            {
                return this.zQRUMField;
            }
            set
            {
                this.zQRUMField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZQRUMSpecified
        {
            get
            {
                return this.zQRUMFieldSpecified;
            }
            set
            {
                this.zQRUMFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=11)]
        public string MEGRU
        {
            get
            {
                return this.mEGRUField;
            }
            set
            {
                this.mEGRUField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=12)]
        public string MEINS
        {
            get
            {
                return this.mEINSField;
            }
            set
            {
                this.mEINSField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=13)]
        public decimal ZMRP
        {
            get
            {
                return this.zMRPField;
            }
            set
            {
                this.zMRPField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZMRPSpecified
        {
            get
            {
                return this.zMRPFieldSpecified;
            }
            set
            {
                this.zMRPFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=14)]
        public decimal ZUDIS
        {
            get
            {
                return this.zUDISField;
            }
            set
            {
                this.zUDISField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZUDISSpecified
        {
            get
            {
                return this.zUDISFieldSpecified;
            }
            set
            {
                this.zUDISFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=15)]
        public string KMEIN
        {
            get
            {
                return this.kMEINField;
            }
            set
            {
                this.kMEINField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=16)]
        public decimal ZDIS
        {
            get
            {
                return this.zDISField;
            }
            set
            {
                this.zDISField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZDISSpecified
        {
            get
            {
                return this.zDISFieldSpecified;
            }
            set
            {
                this.zDISFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=17)]
        public decimal ZFRT
        {
            get
            {
                return this.zFRTField;
            }
            set
            {
                this.zFRTField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZFRTSpecified
        {
            get
            {
                return this.zFRTFieldSpecified;
            }
            set
            {
                this.zFRTFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=18)]
        public decimal ZOCT
        {
            get
            {
                return this.zOCTField;
            }
            set
            {
                this.zOCTField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZOCTSpecified
        {
            get
            {
                return this.zOCTFieldSpecified;
            }
            set
            {
                this.zOCTFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=19)]
        public decimal ZRTMG
        {
            get
            {
                return this.zRTMGField;
            }
            set
            {
                this.zRTMGField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZRTMGSpecified
        {
            get
            {
                return this.zRTMGFieldSpecified;
            }
            set
            {
                this.zRTMGFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=20)]
        public decimal ZRTMG_VAL
        {
            get
            {
                return this.zRTMG_VALField;
            }
            set
            {
                this.zRTMG_VALField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZRTMG_VALSpecified
        {
            get
            {
                return this.zRTMG_VALFieldSpecified;
            }
            set
            {
                this.zRTMG_VALFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=21)]
        public decimal NETWR
        {
            get
            {
                return this.nETWRField;
            }
            set
            {
                this.nETWRField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool NETWRSpecified
        {
            get
            {
                return this.nETWRFieldSpecified;
            }
            set
            {
                this.nETWRFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=22)]
        public decimal MWSBP
        {
            get
            {
                return this.mWSBPField;
            }
            set
            {
                this.mWSBPField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool MWSBPSpecified
        {
            get
            {
                return this.mWSBPFieldSpecified;
            }
            set
            {
                this.mWSBPFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=23)]
        public decimal ZVAL
        {
            get
            {
                return this.zVALField;
            }
            set
            {
                this.zVALField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZVALSpecified
        {
            get
            {
                return this.zVALFieldSpecified;
            }
            set
            {
                this.zVALFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=24)]
        public string ZMATNR
        {
            get
            {
                return this.zMATNRField;
            }
            set
            {
                this.zMATNRField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=25)]
        public string ZFFLAG
        {
            get
            {
                return this.zFFLAGField;
            }
            set
            {
                this.zFFLAGField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=26)]
        public string ZASMSN
        {
            get
            {
                return this.zASMSNField;
            }
            set
            {
                this.zASMSNField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=27)]
        public decimal ZFKIMG
        {
            get
            {
                return this.zFKIMGField;
            }
            set
            {
                this.zFKIMGField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZFKIMGSpecified
        {
            get
            {
                return this.zFKIMGFieldSpecified;
            }
            set
            {
                this.zFKIMGFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=28)]
        public string ZVRKME
        {
            get
            {
                return this.zVRKMEField;
            }
            set
            {
                this.zVRKMEField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=29)]
        public decimal ZNETP
        {
            get
            {
                return this.zNETPField;
            }
            set
            {
                this.zNETPField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZNETPSpecified
        {
            get
            {
                return this.zNETPFieldSpecified;
            }
            set
            {
                this.zNETPFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=30)]
        public decimal ZDTMG
        {
            get
            {
                return this.zDTMGField;
            }
            set
            {
                this.zDTMGField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZDTMGSpecified
        {
            get
            {
                return this.zDTMGFieldSpecified;
            }
            set
            {
                this.zDTMGFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=31)]
        public decimal ZSTMG
        {
            get
            {
                return this.zSTMGField;
            }
            set
            {
                this.zSTMGField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZSTMGSpecified
        {
            get
            {
                return this.zSTMGFieldSpecified;
            }
            set
            {
                this.zSTMGFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=32)]
        public decimal ZSTAX
        {
            get
            {
                return this.zSTAXField;
            }
            set
            {
                this.zSTAXField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZSTAXSpecified
        {
            get
            {
                return this.zSTAXFieldSpecified;
            }
            set
            {
                this.zSTAXFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=33)]
        public decimal ZP_ZLD1
        {
            get
            {
                return this.zP_ZLD1Field;
            }
            set
            {
                this.zP_ZLD1Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZP_ZLD1Specified
        {
            get
            {
                return this.zP_ZLD1FieldSpecified;
            }
            set
            {
                this.zP_ZLD1FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=34)]
        public decimal ZV_ZLD1
        {
            get
            {
                return this.zV_ZLD1Field;
            }
            set
            {
                this.zV_ZLD1Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZV_ZLD1Specified
        {
            get
            {
                return this.zV_ZLD1FieldSpecified;
            }
            set
            {
                this.zV_ZLD1FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=35)]
        public decimal ZP_ZLD2
        {
            get
            {
                return this.zP_ZLD2Field;
            }
            set
            {
                this.zP_ZLD2Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZP_ZLD2Specified
        {
            get
            {
                return this.zP_ZLD2FieldSpecified;
            }
            set
            {
                this.zP_ZLD2FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=36)]
        public decimal ZV_ZLD2
        {
            get
            {
                return this.zV_ZLD2Field;
            }
            set
            {
                this.zV_ZLD2Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZV_ZLD2Specified
        {
            get
            {
                return this.zV_ZLD2FieldSpecified;
            }
            set
            {
                this.zV_ZLD2FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=37)]
        public decimal SLIFE
        {
            get
            {
                return this.sLIFEField;
            }
            set
            {
                this.sLIFEField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool SLIFESpecified
        {
            get
            {
                return this.sLIFEFieldSpecified;
            }
            set
            {
                this.sLIFEFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=38)]
        public decimal ZP_JIN2
        {
            get
            {
                return this.zP_JIN2Field;
            }
            set
            {
                this.zP_JIN2Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZP_JIN2Specified
        {
            get
            {
                return this.zP_JIN2FieldSpecified;
            }
            set
            {
                this.zP_JIN2FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=39)]
        public decimal ZV_JIN2
        {
            get
            {
                return this.zV_JIN2Field;
            }
            set
            {
                this.zV_JIN2Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZV_JIN2Specified
        {
            get
            {
                return this.zV_JIN2FieldSpecified;
            }
            set
            {
                this.zV_JIN2FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=40)]
        public decimal ZP_ZSTY
        {
            get
            {
                return this.zP_ZSTYField;
            }
            set
            {
                this.zP_ZSTYField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZP_ZSTYSpecified
        {
            get
            {
                return this.zP_ZSTYFieldSpecified;
            }
            set
            {
                this.zP_ZSTYFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=41)]
        public decimal ZV_ZSTY
        {
            get
            {
                return this.zV_ZSTYField;
            }
            set
            {
                this.zV_ZSTYField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZV_ZSTYSpecified
        {
            get
            {
                return this.zV_ZSTYFieldSpecified;
            }
            set
            {
                this.zV_ZSTYFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=42)]
        public decimal ZP_ZTOT
        {
            get
            {
                return this.zP_ZTOTField;
            }
            set
            {
                this.zP_ZTOTField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZP_ZTOTSpecified
        {
            get
            {
                return this.zP_ZTOTFieldSpecified;
            }
            set
            {
                this.zP_ZTOTFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=43)]
        public decimal ZV_ZTOT
        {
            get
            {
                return this.zV_ZTOTField;
            }
            set
            {
                this.zV_ZTOTField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZV_ZTOTSpecified
        {
            get
            {
                return this.zV_ZTOTFieldSpecified;
            }
            set
            {
                this.zV_ZTOTFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=44)]
        public string ZP2ASMSN
        {
            get
            {
                return this.zP2ASMSNField;
            }
            set
            {
                this.zP2ASMSNField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=45)]
        public decimal ZDIS_PD2
        {
            get
            {
                return this.zDIS_PD2Field;
            }
            set
            {
                this.zDIS_PD2Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZDIS_PD2Specified
        {
            get
            {
                return this.zDIS_PD2FieldSpecified;
            }
            set
            {
                this.zDIS_PD2FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=46)]
        public decimal ZUDIS_PD2
        {
            get
            {
                return this.zUDIS_PD2Field;
            }
            set
            {
                this.zUDIS_PD2Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZUDIS_PD2Specified
        {
            get
            {
                return this.zUDIS_PD2FieldSpecified;
            }
            set
            {
                this.zUDIS_PD2FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=47)]
        public decimal ZV_ZFRT
        {
            get
            {
                return this.zV_ZFRTField;
            }
            set
            {
                this.zV_ZFRTField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZV_ZFRTSpecified
        {
            get
            {
                return this.zV_ZFRTFieldSpecified;
            }
            set
            {
                this.zV_ZFRTFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=48)]
        public string ZP3ASMSN
        {
            get
            {
                return this.zP3ASMSNField;
            }
            set
            {
                this.zP3ASMSNField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=49)]
        public string ZP4ASMSN
        {
            get
            {
                return this.zP4ASMSNField;
            }
            set
            {
                this.zP4ASMSNField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=50)]
        public decimal ZDIS_PD3
        {
            get
            {
                return this.zDIS_PD3Field;
            }
            set
            {
                this.zDIS_PD3Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZDIS_PD3Specified
        {
            get
            {
                return this.zDIS_PD3FieldSpecified;
            }
            set
            {
                this.zDIS_PD3FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=51)]
        public decimal ZDIS_PD4
        {
            get
            {
                return this.zDIS_PD4Field;
            }
            set
            {
                this.zDIS_PD4Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZDIS_PD4Specified
        {
            get
            {
                return this.zDIS_PD4FieldSpecified;
            }
            set
            {
                this.zDIS_PD4FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=52)]
        public decimal ZUDIS_PD3
        {
            get
            {
                return this.zUDIS_PD3Field;
            }
            set
            {
                this.zUDIS_PD3Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZUDIS_PD3Specified
        {
            get
            {
                return this.zUDIS_PD3FieldSpecified;
            }
            set
            {
                this.zUDIS_PD3FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=53)]
        public decimal ZUDIS_PD4
        {
            get
            {
                return this.zUDIS_PD4Field;
            }
            set
            {
                this.zUDIS_PD4Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZUDIS_PD4Specified
        {
            get
            {
                return this.zUDIS_PD4FieldSpecified;
            }
            set
            {
                this.zUDIS_PD4FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=54)]
        public string KMEIN_PD2
        {
            get
            {
                return this.kMEIN_PD2Field;
            }
            set
            {
                this.kMEIN_PD2Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=55)]
        public string KMEIN_PD3
        {
            get
            {
                return this.kMEIN_PD3Field;
            }
            set
            {
                this.kMEIN_PD3Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=56)]
        public string KMEIN_PD4
        {
            get
            {
                return this.kMEIN_PD4Field;
            }
            set
            {
                this.kMEIN_PD4Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=57)]
        public decimal ZP_JIN1
        {
            get
            {
                return this.zP_JIN1Field;
            }
            set
            {
                this.zP_JIN1Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZP_JIN1Specified
        {
            get
            {
                return this.zP_JIN1FieldSpecified;
            }
            set
            {
                this.zP_JIN1FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=58)]
        public decimal ZV_JIN1
        {
            get
            {
                return this.zV_JIN1Field;
            }
            set
            {
                this.zV_JIN1Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZV_JIN1Specified
        {
            get
            {
                return this.zV_JIN1FieldSpecified;
            }
            set
            {
                this.zV_JIN1FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=59)]
        public decimal ZP_YBPD
        {
            get
            {
                return this.zP_YBPDField;
            }
            set
            {
                this.zP_YBPDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZP_YBPDSpecified
        {
            get
            {
                return this.zP_YBPDFieldSpecified;
            }
            set
            {
                this.zP_YBPDFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=60)]
        public decimal ZV_YBPD
        {
            get
            {
                return this.zV_YBPDField;
            }
            set
            {
                this.zV_YBPDField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZV_YBPDSpecified
        {
            get
            {
                return this.zV_YBPDFieldSpecified;
            }
            set
            {
                this.zV_YBPDFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=61)]
        public string ZVRKME1
        {
            get
            {
                return this.zVRKME1Field;
            }
            set
            {
                this.zVRKME1Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=62)]
        public decimal DZJIN5
        {
            get
            {
                return this.dZJIN5Field;
            }
            set
            {
                this.dZJIN5Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DZJIN5Specified
        {
            get
            {
                return this.dZJIN5FieldSpecified;
            }
            set
            {
                this.dZJIN5FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=63)]
        public decimal DZ024
        {
            get
            {
                return this.dZ024Field;
            }
            set
            {
                this.dZ024Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DZ024Specified
        {
            get
            {
                return this.dZ024FieldSpecified;
            }
            set
            {
                this.dZ024FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=64)]
        public decimal DZJIN1
        {
            get
            {
                return this.dZJIN1Field;
            }
            set
            {
                this.dZJIN1Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DZJIN1Specified
        {
            get
            {
                return this.dZJIN1FieldSpecified;
            }
            set
            {
                this.dZJIN1FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=65)]
        public decimal DZR100
        {
            get
            {
                return this.dZR100Field;
            }
            set
            {
                this.dZR100Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DZR100Specified
        {
            get
            {
                return this.dZR100FieldSpecified;
            }
            set
            {
                this.dZR100FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=66)]
        public decimal DZUTXJ
        {
            get
            {
                return this.dZUTXJField;
            }
            set
            {
                this.dZUTXJField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DZUTXJSpecified
        {
            get
            {
                return this.dZUTXJFieldSpecified;
            }
            set
            {
                this.dZUTXJFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=67)]
        public decimal ZVPRS
        {
            get
            {
                return this.zVPRSField;
            }
            set
            {
                this.zVPRSField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZVPRSSpecified
        {
            get
            {
                return this.zVPRSFieldSpecified;
            }
            set
            {
                this.zVPRSFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=68)]
        public decimal DZ008
        {
            get
            {
                return this.dZ008Field;
            }
            set
            {
                this.dZ008Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DZ008Specified
        {
            get
            {
                return this.dZ008FieldSpecified;
            }
            set
            {
                this.dZ008FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=69)]
        public decimal DZ16A
        {
            get
            {
                return this.dZ16AField;
            }
            set
            {
                this.dZ16AField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DZ16ASpecified
        {
            get
            {
                return this.dZ16AFieldSpecified;
            }
            set
            {
                this.dZ16AFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=70)]
        public decimal DZCD1
        {
            get
            {
                return this.dZCD1Field;
            }
            set
            {
                this.dZCD1Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DZCD1Specified
        {
            get
            {
                return this.dZCD1FieldSpecified;
            }
            set
            {
                this.dZCD1FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=71)]
        public decimal DZCD2
        {
            get
            {
                return this.dZCD2Field;
            }
            set
            {
                this.dZCD2Field = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DZCD2Specified
        {
            get
            {
                return this.dZCD2FieldSpecified;
            }
            set
            {
                this.dZCD2FieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=72)]
        public decimal DZCDS
        {
            get
            {
                return this.dZCDSField;
            }
            set
            {
                this.dZCDSField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DZCDSSpecified
        {
            get
            {
                return this.dZCDSFieldSpecified;
            }
            set
            {
                this.dZCDSFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=73)]
        public decimal DZCNT
        {
            get
            {
                return this.dZCNTField;
            }
            set
            {
                this.dZCNTField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DZCNTSpecified
        {
            get
            {
                return this.dZCNTFieldSpecified;
            }
            set
            {
                this.dZCNTFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=74)]
        public decimal DZTOB
        {
            get
            {
                return this.dZTOBField;
            }
            set
            {
                this.dZTOBField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DZTOBSpecified
        {
            get
            {
                return this.dZTOBFieldSpecified;
            }
            set
            {
                this.dZTOBFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=75)]
        public decimal DZPAI
        {
            get
            {
                return this.dZPAIField;
            }
            set
            {
                this.dZPAIField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool DZPAISpecified
        {
            get
            {
                return this.dZPAIFieldSpecified;
            }
            set
            {
                this.dZPAIFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=76)]
        public decimal ZV_YMST
        {
            get
            {
                return this.zV_YMSTField;
            }
            set
            {
                this.zV_YMSTField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZV_YMSTSpecified
        {
            get
            {
                return this.zV_YMSTFieldSpecified;
            }
            set
            {
                this.zV_YMSTFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=77)]
        public decimal ZP_YMST
        {
            get
            {
                return this.zP_YMSTField;
            }
            set
            {
                this.zP_YMSTField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZP_YMSTSpecified
        {
            get
            {
                return this.zP_YMSTFieldSpecified;
            }
            set
            {
                this.zP_YMSTFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=78)]
        public decimal ZP_YBPE
        {
            get
            {
                return this.zP_YBPEField;
            }
            set
            {
                this.zP_YBPEField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZP_YBPESpecified
        {
            get
            {
                return this.zP_YBPEFieldSpecified;
            }
            set
            {
                this.zP_YBPEFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=79)]
        public decimal ZV_YBPE
        {
            get
            {
                return this.zV_YBPEField;
            }
            set
            {
                this.zV_YBPEField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZV_YBPESpecified
        {
            get
            {
                return this.zV_YBPEFieldSpecified;
            }
            set
            {
                this.zV_YBPEFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=80)]
        public string UEPOS
        {
            get
            {
                return this.uEPOSField;
            }
            set
            {
                this.uEPOSField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=81)]
        public string PSTYV
        {
            get
            {
                return this.pSTYVField;
            }
            set
            {
                this.pSTYVField = value;
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3")]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="urn:sap-com:document:sap:rfc:functions")]
    public partial class ZMBLINVHDR_ST
    {
        
        private string vBELNField;
        
        private string fKDATField;
        
        private string fKARTField;
        
        private string eRZETField;
        
        private string kUNAGField;
        
        private string kUNRGField;
        
        private string vKORGField;
        
        private string zTRNMField;
        
        private decimal zTVALField;
        
        private bool zTVALFieldSpecified;
        
        private decimal zTTAXField;
        
        private bool zTTAXFieldSpecified;
        
        private decimal zTFRTField;
        
        private bool zTFRTFieldSpecified;
        
        private decimal zTOCTField;
        
        private bool zTOCTFieldSpecified;
        
        private decimal zTDISField;
        
        private bool zTDISFieldSpecified;
        
        private string sFAKNField;
        
        private string zUONRField;
        
        private string eRDATField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string VBELN
        {
            get
            {
                return this.vBELNField;
            }
            set
            {
                this.vBELNField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string FKDAT
        {
            get
            {
                return this.fKDATField;
            }
            set
            {
                this.fKDATField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public string FKART
        {
            get
            {
                return this.fKARTField;
            }
            set
            {
                this.fKARTField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=3)]
        public string ERZET
        {
            get
            {
                return this.eRZETField;
            }
            set
            {
                this.eRZETField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=4)]
        public string KUNAG
        {
            get
            {
                return this.kUNAGField;
            }
            set
            {
                this.kUNAGField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=5)]
        public string KUNRG
        {
            get
            {
                return this.kUNRGField;
            }
            set
            {
                this.kUNRGField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=6)]
        public string VKORG
        {
            get
            {
                return this.vKORGField;
            }
            set
            {
                this.vKORGField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=7)]
        public string ZTRNM
        {
            get
            {
                return this.zTRNMField;
            }
            set
            {
                this.zTRNMField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=8)]
        public decimal ZTVAL
        {
            get
            {
                return this.zTVALField;
            }
            set
            {
                this.zTVALField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZTVALSpecified
        {
            get
            {
                return this.zTVALFieldSpecified;
            }
            set
            {
                this.zTVALFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=9)]
        public decimal ZTTAX
        {
            get
            {
                return this.zTTAXField;
            }
            set
            {
                this.zTTAXField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZTTAXSpecified
        {
            get
            {
                return this.zTTAXFieldSpecified;
            }
            set
            {
                this.zTTAXFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=10)]
        public decimal ZTFRT
        {
            get
            {
                return this.zTFRTField;
            }
            set
            {
                this.zTFRTField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZTFRTSpecified
        {
            get
            {
                return this.zTFRTFieldSpecified;
            }
            set
            {
                this.zTFRTFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=11)]
        public decimal ZTOCT
        {
            get
            {
                return this.zTOCTField;
            }
            set
            {
                this.zTOCTField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZTOCTSpecified
        {
            get
            {
                return this.zTOCTFieldSpecified;
            }
            set
            {
                this.zTOCTFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=12)]
        public decimal ZTDIS
        {
            get
            {
                return this.zTDISField;
            }
            set
            {
                this.zTDISField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool ZTDISSpecified
        {
            get
            {
                return this.zTDISFieldSpecified;
            }
            set
            {
                this.zTDISFieldSpecified = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=13)]
        public string SFAKN
        {
            get
            {
                return this.sFAKNField;
            }
            set
            {
                this.sFAKNField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=14)]
        public string ZUONR
        {
            get
            {
                return this.zUONRField;
            }
            set
            {
                this.zUONRField = value;
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=15)]
        public string ERDAT
        {
            get
            {
                return this.eRDATField;
            }
            set
            {
                this.eRDATField = value;
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3")]
    [System.ServiceModel.MessageContractAttribute(WrapperName="ZBGLINV_N", WrapperNamespace="urn:sap-com:document:sap:rfc:functions", IsWrapped=true)]
    public partial class ZBGLINV_NRequest
    {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:sap-com:document:sap:rfc:functions", Order=0)]
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlArrayItemAttribute("item", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public BAPI_INVOICE.ZMBLINVDTL_ST[] INVOICEDTL;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:sap-com:document:sap:rfc:functions", Order=1)]
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlArrayItemAttribute("item", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public BAPI_INVOICE.ZMBLINVHDR_ST[] INVOICEHDR;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:sap-com:document:sap:rfc:functions", Order=2)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string ZINVD;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:sap-com:document:sap:rfc:functions", Order=3)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string ZINVT;
        
        public ZBGLINV_NRequest()
        {
        }
        
        public ZBGLINV_NRequest(BAPI_INVOICE.ZMBLINVDTL_ST[] INVOICEDTL, BAPI_INVOICE.ZMBLINVHDR_ST[] INVOICEHDR, string ZINVD, string ZINVT)
        {
            this.INVOICEDTL = INVOICEDTL;
            this.INVOICEHDR = INVOICEHDR;
            this.ZINVD = ZINVD;
            this.ZINVT = ZINVT;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3")]
    [System.ServiceModel.MessageContractAttribute(WrapperName="ZBGLINV_N.Response", WrapperNamespace="urn:sap-com:document:sap:rfc:functions", IsWrapped=true)]
    public partial class ZBGLINV_NResponse
    {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:sap-com:document:sap:rfc:functions", Order=0)]
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlArrayItemAttribute("item", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public BAPI_INVOICE.ZMBLINVDTL_ST[] INVOICEDTL;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="urn:sap-com:document:sap:rfc:functions", Order=1)]
        [System.Xml.Serialization.XmlArrayAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        [System.Xml.Serialization.XmlArrayItemAttribute("item", Form=System.Xml.Schema.XmlSchemaForm.Unqualified, IsNullable=false)]
        public BAPI_INVOICE.ZMBLINVHDR_ST[] INVOICEHDR;
        
        public ZBGLINV_NResponse()
        {
        }
        
        public ZBGLINV_NResponse(BAPI_INVOICE.ZMBLINVDTL_ST[] INVOICEDTL, BAPI_INVOICE.ZMBLINVHDR_ST[] INVOICEHDR)
        {
            this.INVOICEDTL = INVOICEDTL;
            this.INVOICEHDR = INVOICEHDR;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3")]
    public interface ZBGLINV_NPortTypeChannel : BAPI_INVOICE.ZBGLINV_NPortType, System.ServiceModel.IClientChannel
    {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.Tools.ServiceModel.Svcutil", "2.0.3")]
    public partial class ZBGLINV_NPortTypeClient : System.ServiceModel.ClientBase<BAPI_INVOICE.ZBGLINV_NPortType>, BAPI_INVOICE.ZBGLINV_NPortType
    {
        
        /// <summary>
        /// Implement this partial method to configure the service endpoint.
        /// </summary>
        /// <param name="serviceEndpoint">The endpoint to configure</param>
        /// <param name="clientCredentials">The client credentials</param>
        static partial void ConfigureEndpoint(System.ServiceModel.Description.ServiceEndpoint serviceEndpoint, System.ServiceModel.Description.ClientCredentials clientCredentials);
        
        public ZBGLINV_NPortTypeClient(string username, string password) : 
                base(ZBGLINV_NPortTypeClient.GetDefaultBinding(), ZBGLINV_NPortTypeClient.GetDefaultEndpointAddress())
        {
            this.ChannelFactory.Credentials.UserName.UserName = username;
            this.ChannelFactory.Credentials.UserName.Password = password;
            this.Endpoint.Name = EndpointConfiguration.ZBGLINV_NPortType.ToString();
            ConfigureEndpoint(this.Endpoint, this.ClientCredentials);
        }
        
        //public ZBGLINV_NPortTypeClient(EndpointConfiguration endpointConfiguration) : 
        //        base(ZBGLINV_NPortTypeClient.GetBindingForEndpoint(endpointConfiguration), ZBGLINV_NPortTypeClient.GetEndpointAddress(endpointConfiguration))
        //{
        //    this.Endpoint.Name = endpointConfiguration.ToString();
        //    ConfigureEndpoint(this.Endpoint, this.ClientCredentials);
        //}
        
        //public ZBGLINV_NPortTypeClient(EndpointConfiguration endpointConfiguration, string remoteAddress) : 
        //        base(ZBGLINV_NPortTypeClient.GetBindingForEndpoint(endpointConfiguration), new System.ServiceModel.EndpointAddress(remoteAddress))
        //{
        //    this.Endpoint.Name = endpointConfiguration.ToString();
        //    ConfigureEndpoint(this.Endpoint, this.ClientCredentials);
        //}
        
        //public ZBGLINV_NPortTypeClient(EndpointConfiguration endpointConfiguration, System.ServiceModel.EndpointAddress remoteAddress) : 
        //        base(ZBGLINV_NPortTypeClient.GetBindingForEndpoint(endpointConfiguration), remoteAddress)
        //{
        //    this.Endpoint.Name = endpointConfiguration.ToString();
        //    ConfigureEndpoint(this.Endpoint, this.ClientCredentials);
        //}
        
        //public ZBGLINV_NPortTypeClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
        //        base(binding, remoteAddress)
        //{
        //}
        
        public System.Threading.Tasks.Task<BAPI_INVOICE.ZBGLINV_NResponse> ZBGLINV_NAsync(BAPI_INVOICE.ZBGLINV_NRequest request)
        {
            return base.Channel.ZBGLINV_NAsync(request);
        }
        
        public virtual System.Threading.Tasks.Task OpenAsync()
        {
            return System.Threading.Tasks.Task.Factory.FromAsync(((System.ServiceModel.ICommunicationObject)(this)).BeginOpen(null, null), new System.Action<System.IAsyncResult>(((System.ServiceModel.ICommunicationObject)(this)).EndOpen));
        }
        
        public virtual System.Threading.Tasks.Task CloseAsync()
        {
            return System.Threading.Tasks.Task.Factory.FromAsync(((System.ServiceModel.ICommunicationObject)(this)).BeginClose(null, null), new System.Action<System.IAsyncResult>(((System.ServiceModel.ICommunicationObject)(this)).EndClose));
        }
        
        private static System.ServiceModel.Channels.Binding GetBindingForEndpoint(EndpointConfiguration endpointConfiguration)
        {
            if ((endpointConfiguration == EndpointConfiguration.ZBGLINV_NPortType))
            {
                System.ServiceModel.BasicHttpBinding result = new System.ServiceModel.BasicHttpBinding();
                result.MaxBufferSize = int.MaxValue;
                result.ReaderQuotas = System.Xml.XmlDictionaryReaderQuotas.Max;
                result.MaxReceivedMessageSize = int.MaxValue;
                result.AllowCookies = true;
                result.ReceiveTimeout = TimeSpan.FromMinutes(300);
                result.SendTimeout = TimeSpan.FromMinutes(300);
                result.OpenTimeout = TimeSpan.FromMinutes(300);
                result.CloseTimeout = TimeSpan.FromMinutes(300);
                return result;
            }
            throw new System.InvalidOperationException(string.Format("Could not find endpoint with name \'{0}\'.", endpointConfiguration));
        }
        
        private static System.ServiceModel.EndpointAddress GetEndpointAddress(EndpointConfiguration endpointConfiguration)
        {
            if ((endpointConfiguration == EndpointConfiguration.ZBGLINV_NPortType))
            {
                return new System.ServiceModel.EndpointAddress("http://10.136.10.11:8000/sap/bc/soap/rfc?services=ZBGLINV_N&sap-client=400&sap-user=HOITBAMGR3&sap-password=Jan@2023");
            }
            throw new System.InvalidOperationException(string.Format("Could not find endpoint with name \'{0}\'.", endpointConfiguration));
        }
        
        private static System.ServiceModel.Channels.Binding GetDefaultBinding()
        {
            return ZBGLINV_NPortTypeClient.GetBindingForEndpoint(EndpointConfiguration.ZBGLINV_NPortType);
        }
        
        private static System.ServiceModel.EndpointAddress GetDefaultEndpointAddress()
        {
            return ZBGLINV_NPortTypeClient.GetEndpointAddress(EndpointConfiguration.ZBGLINV_NPortType);
        }
        
        public enum EndpointConfiguration
        {
            
            ZBGLINV_NPortType,
        }
    }
}
